SINCOS(3)

NAME
sincos, sincosf, sincosl - sine and cosine functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
void
sincos(double x, double *s, double *c);
void
sincosf(float x, float *s, float *c);
void
sincosl(long double x, long double *s, long double *c);

DESCRIPTION
The sincos(), sincosf(), and sincosl() functions compute the sine and cosine of x. Using these functions allows argument reduction to occur only once instead of twice with individual invocations of sin() and cos(). Like sin() and cos(), a large magnitude argument may yield a result with little or no significance.

RETURN VALUES
Upon returning from sincos(), sincosf(), and sincosl(), the memory pointed to by *s and *c are assigned the values of sine and cosine, respectively.

SEE ALSO
cos(3), sin(3),

HISTORY
These functions were added to FreeBSD 11.2 and NetBSD 10.0 to aid in writing various complex function contained in isoC-99.